[R-SIG-Mac] Problems with package gmp

Terry A. Cox terryacox at mac.com
Fri Jun 30 15:09:28 CEST 2006

I tested R from the command line as you suggest. Neither library is  
loaded. I have installed GNU MP release 4.2.1 from the gmp website in  
the default location (under /usr/local), and I installed the R binary  
package gmp. (I also have the fink gmp package installed under /sw).  
I tried installing the R package from source, but it could not find  
the MP library. I am running an iMac G5 with 10.4.7.


On Jun 29, 2006, at 8:47 PM, Simon Urbanek wrote:

> On Jun 29, 2006, at 8:54 AM, Terry A. Cox wrote:
>> I have just upgraded OS X from Panther to Tiger 10.4.7, and R
>> from   2.2.1 to 2.3.1. I installed several packages (at system
>> level), but gmp will not load:
> Please make sure you installed the latest gmp properly. I cannot
> reproduce the problem on my machine (G5 with 10.4.6). If the error
> still persists, please send us more details about your setup. Also it
> is often helpful to test it from the command line, starting R with
> to verify that the correct libraries are loaded. It should show:
>> library(gmp)
> dyld: loaded: /Library/Frameworks/R.framework/Resources/library/gmp/
> libs/ppc/gmp.so
> dyld: loaded: /Library/Frameworks/R.framework/Versions/2.3/Resources/
> lib/libstdc++.6.dylib, cpu-sub-type: 0
> Attaching package: 'gmp'
> Cheers,
> Simon
> _______________________________________________
> R-SIG-Mac mailing list
> R-SIG-Mac at stat.math.ethz.ch
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac

More information about the R-SIG-Mac mailing list